<div class="ui modal form">
  <i class="close icon"></i>
  <div class="header">
    Crear
  </div>
  <div class="content">
    <%= form_for @guide, url: admin_academic_subject_subject_guides_path(subject_id: @subject.id), remote: true do |form| %>

      <%= error_message(@guide) %>

      <div class="ui one column stackable grid">
        <div class="column">
          <strong>Tutor encargado</strong>
          <%= form.select(:teacher_id,
                          Admin::User::User.where(role_id: 7).all.order(first_last_name: :asc).collect {|teacher| ["#{teacher.identification_number.upcase} - #{teacher.full_name.titleize}", teacher.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'searchDropdown ui fluid search selection dropdown'}) %>
        </div>
      </div>

      <div class="ui one column stackable grid">
        <div class="column">
          <strong>Archivo</strong>
          <%= form.file_field :file, required: true %>
        </div>
      </div>

      <div class="hr-divider"></div>

      <div class="ui one column stackable grid">
        <div class="column">
          <%= form.submit 'Guardar', class: 'ui fluid green button' %>
        </div>
      </div>

    <% end %>
  </div>

</div>


<script>
  $('.searchDropdown').dropdown({showOnFocus: false, fullTextSearch: true, clearable: true, minCharacters: 3});
</script>
